import Utils from "~/utils"

/**
* Litopn Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "lidgrp.apl.namelc"                      :null,
    "lidgrp.rec.prepers18"                      :null,
    "lidgrp.rec.lcrtyp"                      :null,
    "lidgrp.cbs.nom1.cur"                      :null,
    "lidgrp.rec.apprul"                      :null,
    "cnybop.cnylib.doccurdate"                      :null,
    "lidgrp.blk.lcrgod"                      :null,
    "lidgrp.rec.nomtop"                      :null,
    "lidgrp.rec.nomton"                      :null,
    "cnybop.outflg"                      :null,
    "bcbtyp7"                      :null,
    "litp.drwp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.rec.stacty"                      :null,
    "cnybop.cnylib.sbankorgcode"                      :null,
    "lidgrp.cbs.nom1.amt"                      :null,
    "lidgrp.blk.lcrdoc"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "lidgrp.a2b.namelc"                      :null,
    "lidgrp.rec.expdat"                      :null,
    "cnybop.cnylib.stermtype"                      :null,
    "lidgrp.avb.pts.adrblk"                      :null,
    "bccls5"                      :null,
    "bccls6"                      :null,
    "bccls7"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "bccls1"                      :null,
    "bccls2"                      :null,
    "bccls3"                      :null,
    "bccls4"                      :null,
    "cnybop.cnylib.currencycode"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "cnybop.cnyflg"                      :null,
    "lidgrp.blk.preper"                      :null,
    "litp.conp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.rec.guaflg"                      :null,
    "lidgrp.rec.cnfdet"                      :null,
    "lidgrp.avb.adrelc"                      :null,
    "cnybop.cnylib.dcreditenddate"                      :null,
    "lidgrp.ini.pts.extkey"                      :null,
    "lidgrp.rmb.pts.extkey"                      :null,
    "lidgrp.rec.rptref"                      :null,
    "lidgrp.adv.pts.extkey"                      :null,
    "trnmod.trndia.diarec.dat"                      :null,
    "lidgrp.adv.adrelc"                      :null,
    "lidgrp.ben.pts.extkey"                      :null,
    "lidgrp.cbs.max2.amt"                      :null,
    "lidgrp.rec.preadvdt"                      :null,
    "lidgrp.a2b.pts.extkey"                      :null,
    "lidgrp.blk.defdet"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.apl.pts.adrblk"                      :null,
    "cnybop.cnylib.famt"                      :null,
    "cnybop.saddwordlib"                      :null,
    "lidgrp.rmb.pts.nam"                      :null,
    "cnybop.cnylib.stransattr"                      :null,
    "lidgrp.con.adrelc"                      :null,
    "lidgrp.con.pts.adrblk"                      :null,
    "lidgrp.blk.dftat"                      :null,
    "hmdmod2.bennam"                      :null,
    "lidgrp.rec.tenmaxday"                      :null,
    "cnybop.sforeignorgname"                      :null,
    "lidgrp.ben.namelc"                      :null,
    "litp.avbp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.drw.pts.adrblk"                      :null,
    "lidgrp.drw.namelc"                      :null,
    "lidgrp.rec.shpdat"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "label5"                      :null,
    "litp.aplp.ptsget.sdamod.dadsnd"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "litp.a2bp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.rec.apprultxt"                      :null,
    "lidgrp.adv.pts.adrblk"                      :null,
    "lidgrp.blk.addamtcov"                      :null,
    "lidgrp.blk.adlcnd"                      :null,
    "lidgrp.ini.namelc"                      :null,
    "litp.inip.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.cbs.max.amt"                      :null,
    "lidgrp.ini.pts.adrblk"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "cnybop.traflg"                      :null,
    "cnybop.sbankname"                      :null,
    "lidgrp.apl.adrelc"                      :null,
    "litp.usr.extkey"                      :null,
    "lidgrp.rec.avbwth"                      :null,
    "lidgrp.rec.stagod"                      :null,
    "lidgrp.rec.opndat"                      :null,
    "cnybop.cnylib.stranstype"                      :null,
    "lidgrp.rec.ownref"                      :null,
    "lidgrp.a2b.adrelc"                      :null,
    "litp.advp.ptsget.sdamod.dadsnd"                      :null,
    "trnmod.trndia.diarec.nam"                      :null,
    "lidgrp.avb.namelc"                      :null,
    "cnybop.cnylib.sbanktrano"                      :null,
    "lidgrp.blk.feetxt"                      :null,
    "trnmod.trndia.diarec.cod"                      :null,
    "litp.recget.sdamod.dadsnd"                      :null,
    "lidgrp.ben.adrelc"                      :null,
    "cnybop.cnylib.sforbankswiftbic"                      :null,
    "cnybop.cnylib.denddate"                      :null,
    "lidgrp.a2b.pts.adrblk"                      :null,
    "lidgrp.adv.namelc"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "lidgrp.blk.mixdet"                      :null,
    "trnmod.trndia.atpget.sdamod.dadsnd"                      :null,
    "lidgrp.drw.adrelc"                      :null,
    "lidgrp.blk.shpper"                      :null,
    "litp.rmbp.ptsget.sdamod.dadsnd"                      :null,
    "lidgrp.rec.expplc"                      :null,
    "cnybop.sorgname"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "lidgrp.rec.avbby"                      :null,
    "lidgrp.avb.pts.extkey"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "lidgrp.blk.spcrcb"                      :null,
    "lidgrp.blk.spcben"                      :null,
    "cnybop.libflg"                      :null,
    "cnybop.cnylib.sorgcode"                      :null,
    "lidgrp.blk.insbnk"                      :null,
    "litp.benp.ptsget.sdamod.dadsnd"                      :null,
    "cnybop.fexchangeamt"                      :null,
    "lidgrp.con.pts.extkey"                      :null,
    "setmod.docamt"                      :null,
    "lidgrp.ini.adrelc"                      :null,
    "lidgrp.ben.pts.adrblk"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "lidgrp.drw.pts.extkey"                      :null,
    "lidgrp.apl.pts.extkey"                      :null,
    "cnybop.cnylib.sforeigncountrycode"                      :null,
    "lidgrp.con.namelc"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

